module GeneralHelperFunctions exposing (..)

toJust : Maybe (Int,Int) -> (Int, Int)
toJust m = case m of
    Nothing -> (-1,-1)
    Just (x,y) -> (x,y)

boolToJust : Maybe Bool -> Bool
boolToJust m = case m of
    Just True -> True
    Just False -> False
    Nothing -> False

subTuple : (Int, Int) -> (Int, Int) -> (Int, Int)
subTuple (x1,y1) (x2,y2) = (x1-x2,y1-y2)

addTuple : (Int, Int) -> (Int, Int) -> (Int, Int)
addTuple (x1,y1) (x2,y2) = (x1+x2,y1+y2)

maxTuple : (Int, Int) -> Int
maxTuple (x,y) = if x>=y then x else y

flip : (a -> b -> c) -> b -> a -> c
flip f b a = f a b
