module Tetros exposing (..)

import Types exposing (..)

tetroShapes : List (AbstractShape, Int)
tetroShapes = [(I,0),(O,0),(L,0),(J,0),(T,0),(S,0),(Z,0)]

sShape : List (Int,Int)
sShape = [(0,0),(1,0),(1,-1),(3,-1),(3,0),(2,0),(2,1),(0,1)]

zShape : List (Int,Int)
zShape = [(0,0),(-1,0),(-1,-1),(-3,-1),(-3,0),(-2,0),(-2,1),(0,1)]

oShape : List (Int,Int)
oShape = [(0,0),(2,0),(2,2),(0,2)]

iShape : List (Int,Int)
iShape = [(0,0),(4,0),(4,1),(0,1)]

tShape : List (Int,Int)
tShape = [(0,0),(1,0),(1,-1),(2,-1),(2,0),(3,0),(3,1),(0,1)]

lShape : List (Int,Int)
lShape = [(0,0),(2,0),(2,-1),(3,-1),(3,1),(0,1)]

jShape : List (Int,Int)
jShape = [(0,0),(-2,0),(-2,-1),(-3,-1),(-3,1),(0,1)]