module Text exposing (exampleJsonText, jsonTutorial1, jsonTutorial2, jsonTutorial3, jsonTutorial4)

exampleJsonText : String
exampleJsonText = """{
    "customshapes": [
        {
            "canrotate": "true",
            "shorthand": "longL",
            "colour": "#66a8de",
            "coordinates": [
                {"x": 0, "y": 0},
                {"x": 1, "y": 0},
                {"x": 2, "y": 0},
                {"x": 3, "y": 0},
                {"x": 3, "y": -1}
            ],
            "polygonpoints": [
                {"x": 0, "y": 0},
                {"x": 3, "y": 0},
                {"x": 3, "y": -1},
                {"x": 4, "y": -1},
                {"x": 4, "y": 1},
                {"x": 0, "y": 1}
            ]
        },
        {
            "canrotate": "false",
            "shorthand": "X",
            "colour": "#c3d2bd",
            "coordinates": [
                {"x": 0, "y": 0},
                {"x": 1, "y": 0},
                {"x": 1, "y": -1},
                {"x": 1, "y": 1},
                {"x": 2, "y": 0}
            ],
            "polygonpoints": [
                {"x": 0, "y": 0},
                {"x": 1, "y": 0},
                {"x": 1, "y": -1},
                {"x": 2, "y": -1},
                {"x": 2, "y": 0},
                {"x": 3, "y": 0},
                {"x": 3, "y": 1},
                {"x": 2, "y": 1},
                {"x": 2, "y": 2},
                {"x": 1, "y": 2},
                {"x": 1, "y": 1},
                {"x": 0, "y": 1}
            ]
        },
        {
            "canrotate": "false",
            "shorthand": "Dot",
            "colour": "#1f1f1f",
            "coordinates": [
                {"x": 0, "y": 0}
            ],
            "polygonpoints": [
                {"x": 0, "y": 0},
                {"x": 1, "y": 0},
                {"x": 1, "y": 1},
                {"x": 0, "y": 1}
            ]
        }
    ],
    "levels": [{
            "boardx": 6,
            "boardy": 4,
            "solution": ["I", "longL", "longL", "longL", "longL"]
        },
        {
            "boardx": 3,
            "boardy": 3,
            "solution": ["X", "Dot", "Dot", "Dot", "Dot"]
        }]
}"""

jsonTutorial1 : String
jsonTutorial1 = "Die Json Datei muss aus einem Feld \"levels\" mit einer Liste von Json Objekten bestehen, die jeweils das Feld \"solution\" besitzen, welches wiederum ein Array aus Tetrominos pro Level definiert. "

jsonTutorial2 : String
jsonTutorial2 = "Zulässig sind die Tetrominos \"S\", \"Z\", \"L\", \"J\", \"T\", \"I\" und \"O\". Ein 8x8 Feld wird mit 16 Tetrominos gefüllt. Die Tetrominos werden als String angegeben. Die optionalen int-Felder \"boardx\" und \"boardy\" beschreiben die Größe des Spielfeldes (Standardmäßig 8x8)."

jsonTutorial3 : String
jsonTutorial3 = "In einem weiteren optionalen Feld \"customshapes\" können weitere Polyominos hinzugefügt werden, welche dann später in den Leveln verwendet werden können. \"colour\" definiert die Farbe des Polyominos, \"canrotate\" bestimmt, ob das Teil gedreht werden kann, \"shorthand\" definiert einen string, mit dem das Polyomino dann in der Levelliste genannt werden kann, \"coordinates\" bestimmen die Felder auf denen das Puzzleteil kollidiert (relativ zum Ursprung des Teils) und \"polygonpoints\" sind die Punkte aus denen das Puzzleteil als svg gezeichnet wird (Ursprung sollte dem der Kollisionskoordinaten entsprechen)."

jsonTutorial4 : String
jsonTutorial4 = "Beispiel für eine korrekte Level Datei (erweiterbar):"